### Namespace

# St – 16

Shell Toolkit

Version | 16
Authors | Unknown authors
License | LGPL-2.0-or-later
Website | https://www.gnome.org
Source | https://gitlab.gnome.org/GNOME/gnome-shell/

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
Gio—2.0 | GObject Interfaces and Objects, Networking, IPC, and I/O
| Browse documentation
Clutter—16 | An OpenGL based 'interactive canvas' library
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

Adjustment | An adjustable bounded value.
Bin | A simple container with one actor.
BorderImage |
BoxLayout | Layout container arranging children in a single line.
Button | Button widget.
Clipboard | A simple representation of the clipboard.
DrawingArea | A dynamically-sized Cairo drawing area.
Entry | Widget for displaying text.
FocusManager | Keyboard focus management.
GenericAccessible | An accessible class with signals for implementing specific Atk interfaces.
Icon | A simple styled icon actor.
IconInfo |
IconTheme | Looking up icons by name.
ImageContent |
Label | Widget for displaying text.
PasswordEntry |
ScrollBar | A user interface element to control scrollable areas.
ScrollView | Container for scrollable children.
ScrollViewFade |
Settings |
SpinnerContent | A `ClutterContent` showing a loading spinner.
TextureCache |
Theme | A set of stylesheets.
ThemeContext | Holds global information about a tree of styled objects.
ThemeNode | Style information for one node in a tree of themed objects.
Viewport | Scrollable container.
Widget | Base class for stylable actors.
WidgetAccessible |

#### Interfaces

Scrollable | A `ClutterActor` that can be scrolled.

#### Structs

IconColors | The `StIconColors` structure encapsulates colors for colorizing a symbolic icon.
Shadow | A type representing -st-shadow attributes.
ShadowHelper | A helper for implementing a drop shadow on a actor. The actor is expected to recreate the helper whenever its contents or size change. Then, it would call `st_shadow_helper_paint()` inside its `paint()` virtual function.
ThemeNodePaintState |

#### Enumerations

BackgroundSize |
ClipboardType |
Corner | Used to target a particular corner of a `StThemeNode` element.
DirectionType | Enumeration for focus direction.
GradientType | Used to specify options when rendering gradients.
IconStyle | Used to specify options when looking up icons.
PolicyType |
Side | Used to target a particular side of a `StThemeNode` element.
SystemAccentColor |
SystemColorScheme |
TextAlign | Used to align text in a label.
TextureCachePolicy |

#### Bitfields

ButtonMask | A mask representing which mouse buttons an `StButton` responds to.
IconLookupFlags | Used to specify options for `st_icon_theme_lookup_icon()`.
TextDecoration | Flags used to determine the decoration of text.

#### Error Domains

IconThemeError | Error codes for StIconTheme operations.

#### Callbacks

ClipboardCallbackFunc | Callback function called when text is retrieved from the clipboard.
ClipboardContentCallbackFunc | Callback function called when content is retrieved from the clipboard.
EntryCursorFunc |
TextureCacheLoader | See st_texture_cache_load(). Implementations should return a texture handle for the given key, or set `error`.

#### Functions

describe_actor | Creates a string describing `actor`, for use in debugging. This includes the class name and actor name (if any), plus if `actor` is an `StWidget`, its style class and pseudo class names.

#### Function Macros

BUTTON_MASK_FROM_BUTTON |